#ifndef INCLUDED_TIMER_MAIN_WINDOW_H
#define INCLUDED_TIMER_MAIN_WINDOW_H

#include <gtk/gtk.h>

#include "TimerApplication.h"
#include "TimerTaskTree.h"

G_BEGIN_DECLS

#define TIMER_TYPE_MAIN_WINDOW timer_main_window_get_type()
G_DECLARE_FINAL_TYPE(TimerMainWindow, timer_main_window, TIMER, MAIN_WINDOW, GtkApplicationWindow)

TimerMainWindow *timer_main_window_new(TimerApplication *app);
char *timer_main_window_get_task_csv(TimerMainWindow *self);
TimerDataPoint *timer_main_window_get_task_data(TimerMainWindow *self, gsize *len);
TimerDataPoint *timer_main_window_get_day_data(TimerMainWindow *self, gsize *len);
gboolean timer_main_window_is_always_on_top(TimerMainWindow *self);
GDateTime *timer_main_window_get_last_task_end(TimerMainWindow *self);
void timer_main_window_show_for_mode(TimerMainWindow *self);

G_END_DECLS

#endif /* INCLUDED_TIMER_MAIN_WINDOW_H */
