#ifndef INCLUDED_TIMER_SETTINGS_WINDOW_H
#define INCLUDED_TIMER_SETTINGS_WINDOW_H

#include "TimerApplication.h"

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define TIMER_TYPE_SETTINGS_WINDOW timer_settings_window_get_type()
G_DECLARE_FINAL_TYPE(TimerSettingsWindow, timer_settings_window, TIMER, SETTINGS_WINDOW, GtkDialog)

TimerSettingsWindow *timer_settings_window_new(TimerApplication *app, GKeyFile *keyFile, GtkWindow *parentWindow);

GKeyFile *timer_settings_window_get_key_file(TimerSettingsWindow *self);

G_END_DECLS

#endif /* INCLUDED_TIMER_SETTINGS_WINDOW_H */
